      PARAMETER (NROW2 = 256)

      PARAMETER (Levels   = 2)
      PARAMETER (Lblock   = 8)
      PARAMETER (Nblocks=NROW/Lblock)
      PARAMETER (NSPEC = NROW/2)  
      PARAMETER (NSPEC2= NROW2/2)  
      PARAMETER (marr  = NROW+1)   ! Arrays for FFT
      PARAMETER (mf67  = NROW/2)
      COMMON / MASK/ iMask(Nblocks,Nblocks,Nblocks) ! Refinement Mask

      COMMON / GRIDx/ GRX(NROW,NROW,NROW)
      COMMON / GRIDy/ GRY(NROW,NROW,NROW)
      COMMON / GRIDz/ GRZ(NROW,NROW,NROW)   
      COMMON / GRID2/ GRX2(NROW2,NROW2,NROW2),   
     +        GRY2(NROW2,NROW2,NROW2),    ! Spectrum of Perurbations
     +        GRZ2(NROW2,NROW2,NROW2)
      COMMON / BUFF /	XPt(Nmaxpart),
     +			VXt(Nmaxpart),
     +           	YPt(Nmaxpart),
     +			VYt(Nmaxpart),
     +          	ZPt(Nmaxpart),
     +			VZt(Nmaxpart)

      COMMON / AMPLTS / amplt_CR(Levels),alpha(Levels)
      COMMON / LevelsM/ Max_lev_abs,Nmin_lev,Nmax_lev








